X-Edit Mac

An update for X-edit 2.6.1 on Mac is required. 32 bit apps will no longer run after the Mac OS Catalina update.
Please keep your Digitech customers happy and recompile it for 64 bit!

Sign In or Register to comment.